Package org.eclipse.birt.report.model.api.oda.interfaces

# Interface IAggregationDefn

All Known Implementing Classes:
  `AggregationDefn`

public interface IAggregationDefn

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canIgnoreDuplicateValues()`
Identify if this aggregation implementation can ignore duplicated values.
`boolean`
`canIgnoreNullValues()`
Identify if this aggregation implementation can ignore null values.
`String`
`getBirtAggregationDisplayName()`
Return the display name of the BIRT predefined aggregation.
`String`
`getBirtAggregationId()`
Returns the BIRT predefined aggregation id.
`Integer`
`getMaxInputVariables()`
Return the max number of arguments that this aggregation function accept.
`Integer`
`getMinInputVariables()`
Returns the minimum number of arguments required by this aggregation function.
`String`
`getODAAggregationDisplayName()`
Returns the oda provider defined aggregation display name.
`String`
`getODAAggregationId()`
Returns the oda provider defined aggregation id.
`String`
`getProviderExtensionId()`
Returns the oda aggregation provider id.
`boolean`
`supportsUnboundedMaxInputVariables()`
Identify if this aggregation function support unlimited arguments.

## Method Details

### getBirtAggregationId

String getBirtAggregationId()
Returns the BIRT predefined aggregation id.

Returns:
  the BIRT predefined aggregation id.

### getBirtAggregationDisplayName

String getBirtAggregationDisplayName()
Return the display name of the BIRT predefined aggregation.

Returns:
  display name of the BIRT predefined aggregation.

### getProviderExtensionId

String getProviderExtensionId()
Returns the oda aggregation provider id.

Returns:
  oda aggregation provider id.

### getODAAggregationId

String getODAAggregationId()
Returns the oda provider defined aggregation id.

Returns:
  oda aggregation id.

### getODAAggregationDisplayName

String getODAAggregationDisplayName()
Returns the oda provider defined aggregation display name.

Returns:
  oda aggregation display name.

### getMinInputVariables

Integer getMinInputVariables()
Returns the minimum number of arguments required by this aggregation function.

Returns:
  minimum number of arguments required by this aggregation.

### supportsUnboundedMaxInputVariables

boolean supportsUnboundedMaxInputVariables()
Identify if this aggregation function support unlimited arguments.

Returns:
  true if this aggregation support unlimited arguments,else false.

### getMaxInputVariables

Integer getMaxInputVariables()
Return the max number of arguments that this aggregation function accept.

Returns:

### canIgnoreDuplicateValues

boolean canIgnoreDuplicateValues()
Identify if this aggregation implementation can ignore duplicated values.

Returns:
  true if this aggregation can ignore duplicated values, else false.

### canIgnoreNullValues

boolean canIgnoreNullValues()
Identify if this aggregation implementation can ignore null values.

Returns:
  true if this aggregation can ignore null values, else false.